kb_redis Struct Reference

Subclass of struct kb, it contains the redis-specific fields, such as the redis context, current DB (namespace) id and the server socket path. More...

## Data Fields

struct kb | kb
unsigned int | max_db
unsigned int | db
redisContext * | rctx
char * | path

## Detailed Description

Subclass of struct kb, it contains the redis-specific fields, such as the redis context, current DB (namespace) id and the server socket path.

## Field Documentation

## db

unsigned int kb_redis::db

Namespace ID number, 0 if uninitialized.

## kb

struct kb kb_redis::kb

Parent KB handle.

## max_db

unsigned int kb_redis::max_db

Max # of databases.

## path

char* kb_redis::path

Path to the server socket.

## rctx

redisContext* kb_redis::rctx

Redis client context.

The documentation for this struct was generated from the following file:

- util/kb.c